## kmail-account-wizard 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

set(PIM_VERSION "6.5.1")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(kmail-account-wizard VERSION ${PIM_VERSION})
set(KDEPIM_LIB_SOVERSION "6")

set(KF_MIN_VERSION "6.14.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMQmlModule)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "25.08.1")
# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_MIMELIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Core
        Widgets
        DBus
        Test
        Quick
        QuickControls2
)
set(PIMCOMMON_LIB_VERSION "6.5.1")
set(KPIM_MIME_VERSION "6.5.1")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

include_directories(
    ${kmail-account-wizard_SOURCE_DIR}
    ${kmail-account-wizard_BINARY_DIR}
)

qt_policy(SET QTP0001 NEW)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            OPTIONAL
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

add_subdirectory(src)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

## Static lib target
qt_add_library(accountwizard_static STATIC)

qt_add_qml_module(accountwizard_static
    URI org.kde.pim.accountwizard
    QML_FILES
        qml/ConfigurationDelegate.qml
        qml/ConfigurationSelectionPage.qml
        qml/DetailsPage.qml
        qml/Main.qml
        qml/ManualConfigurationPage.qml
        qml/PersonalDataPage.qml
        qml/WizardPage.qml
    SOURCES
        accountconfiguration.cpp
        accountconfiguration.h
        consolelog.cpp
        consolelog.h
        foreigntypes.h

        ispdb/configurationmodel.h
        ispdb/configurationmodel.cpp
        ispdb/serverconfiguration.h
        ispdb/serverconfiguration.cpp
        ispdbservice.h
        ispdbservice.cpp
        resource.h
        resource.cpp
        setupmanager.h
        setupmanager.cpp
        servertest.h
        servertest.cpp
    VERSION
        1.0
)

include_directories(ispdb)

ecm_qt_declare_logging_category(accountwizard_static
    HEADER accountwizard_debug.h
    IDENTIFIER ACCOUNTWIZARD_LOG
    CATEGORY_NAME org.kde.pim.accountwizard
    OLD_CATEGORY_NAMES log_accountwizard
    DESCRIPTION "accountwizard (accountwizard)"
    EXPORT ACCOUNTWIZARD
)

target_link_libraries(
    accountwizard_static
    PUBLIC
        KPim6::AkonadiCore
        KPim6::AkonadiWidgets
        KPim6::MailTransport
        KPim6::Mime
        KPim6::IdentityManagementCore
        KF6::KIOCore
        KF6::WidgetsAddons
        KF6::I18n
        KF6::Crash
        KF6::DBusAddons
        Qt::Xml
        Qt::Quick
        Qt::QuickControls2
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        accountwizard_static
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

## Binary target
add_executable(accountwizard main.cpp)
target_link_libraries(
    accountwizard
    PRIVATE
        accountwizard_static
        accountwizard_staticplugin
        KF6::IconThemes
        KF6::I18nQml
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

## Install
install(
    TARGETS
        accountwizard
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)
install(PROGRAMS org.kde.accountwizard.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/org.kde.accountwizard.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kmail-account-wizard (4:25.08.1-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 15:12:47 +0000

kmail-account-wizard (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:30:06 +0000

kmail-account-wizard (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:08:30 +0000

kmail-account-wizard (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:30:08 +0000

kmail-account-wizard (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:30:14 +0000

kmail-account-wizard (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:19:49 +0000

kmail-account-wizard (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:27:47 +0000

kmail-account-wizard (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:49:24 +0000

kmail-account-wizard (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:34:23 +0000

kmail-account-wizard (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:26:34 +0000

kmail-account-wizard (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:22:16 +0000

kmail-account-wizard (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:30:28 +0000

kmail-account-wizard (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:08:21 +0000

kmail-account-wizard (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:39:13 +0000

kmail-account-wizard (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:37:10 +0000

kmail-account-wizard (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:15:57 +0000

kmail-account-wizard (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:35:46 +0000

kmail-account-wizard (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:26:59 +0000

kmail-account-wizard (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:18:31 +0000

kmail-account-wizard (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:58:27 +0000

kmail-account-wizard (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:01:56 +0000

kmail-account-wizard (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:32:54 +0000

kmail-account-wizard (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:14:00 +0000

kmail-account-wizard (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:02:28 +0000

kmail-account-wizard (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:35:02 +0000

kmail-account-wizard (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:24:54 +0000

kmail-account-wizard (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:59:14 +0000

kmail-account-wizard (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:35:24 +0000

kmail-account-wizard (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:44:39 +0000

kmail-account-wizard (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:04:03 +0000

kmail-account-wizard (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:26:26 +0000

kmail-account-wizard (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:03:44 +0000

kmail-account-wizard (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:48:42 +0000

kmail-account-wizard (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:15:06 +0000

kmail-account-wizard (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:09:54 +0000

kmail-account-wizard (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:22:12 +0000

kmail-account-wizard (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:05:42 +0000

kmail-account-wizard (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:05:17 +0000

kmail-account-wizard (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:34:55 +0000

kmail-account-wizard (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:11 +0000

kmail-account-wizard (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:20:39 +0000

kmail-account-wizard (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:56:28 +0000

kmail-account-wizard (4:21.04.2-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: kmail-account-wizard
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-libkdepim-dev,
               kpim6-libkleo-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpg-error-dev,
               libgpgme-dev | libgpgme11-dev,
               libkgantt-dev,
               libqgpgmeqt6-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qtkeychain-qt6-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kmail-account-wizard.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmail-account-wizard
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-accountwizard
Section: utils
Architecture: any
Depends: kf6-kirigami-addons,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: accountwizard (<< 4:24.02.0)
Replaces: accountwizard (<< 4:24.02.0)
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.

Package: accountwizard
Architecture: all
Depends: kpim6-accountwizard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kmail-account-wizard 25.08.1+p24.04+vstable+git20250916.0510

=== debian/changelog ===
kmail-account-wizard (4:25.08.1+p24.04+vstable+git20250916.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 05:10:37 +0000

## kmail-account-wizard 25.08.1+p24.04+vstable+git20251001.0104

=== debian/changelog ===
kmail-account-wizard (4:25.08.1+p24.04+vstable+git20251001.0104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 01:04:30 +0000

## kmail-account-wizard 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
@@ -64,7 +64,7 @@
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -72,10 +72,10 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
+set(AKONADI_MIMELIB_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -91,8 +91,8 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.5.1")
-set(KPIM_MIME_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(KPIM_MIME_VERSION "6.5.2")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
kmail-account-wizard (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:48:38 +0100

kmail-account-wizard (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:09:42 +0100

=== debian/control ===
Source: kmail-account-wizard
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.2~),
               libkmailtransport-dev (>= 25.08.2~),
               libkmime-dev (>= 25.08.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kmail-account-wizard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail-account-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail-account-wizard
Rules-Requires-Root: no

Package: accountwizard
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.

## kmail-account-wizard 25.08.2+p24.04+vstable+git20251015.2023

=== debian/changelog ===
kmail-account-wizard (4:25.08.2+p24.04+vstable+git20251015.2023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:23:26 +0000

kmail-account-wizard (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:14:59 +0000

## kmail-account-wizard 25.08.2+p24.04+vstable+git20251019.0841

=== debian/changelog ===
kmail-account-wizard (4:25.08.2+p24.04+vstable+git20251019.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:41:06 +0000

## kmail-account-wizard 25.08.2+p24.04+vstable+git20251031.0352

=== debian/changelog ===
kmail-account-wizard (4:25.08.2+p24.04+vstable+git20251031.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:52:22 +0000

## kmail-account-wizard 25.08.2+p24.04+vunstable+git20251015.2021

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -63,8 +64,8 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(KDEPIM_DEV_VERSION alpha)
+set(RELEASE_SERVICE_VERSION "25.11.70")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -72,10 +73,10 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
+set(AKONADI_MIMELIB_VERSION "6.5.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.5.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -91,14 +92,13 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(KPIM_MIME_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(KPIM_MIME_VERSION "6.5.40")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
@@ -127,7 +127,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kmail-account-wizard (4:25.08.2+p24.04+vunstable+git20251015.2021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:21:37 +0000

## kmail-account-wizard 25.08.2+p24.04+vunstable+git20251020.0721

=== debian/changelog ===
kmail-account-wizard (4:25.08.2+p24.04+vunstable+git20251020.0721-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:21:24 +0000

## kmail-account-wizard 25.08.2+p24.04+vunstable+git20251022.0222

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kmail-account-wizard (4:25.08.2+p24.04+vunstable+git20251022.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:22:34 +0000

## kmail-account-wizard 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.5.3")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.14.0")
 set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -64,8 +63,8 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
-set(RELEASE_SERVICE_VERSION "25.11.70")
+set(KDEPIM_DEV_VERSION)
+set(RELEASE_SERVICE_VERSION "25.08.3")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -73,10 +72,10 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
-set(AKONADI_VERSION "6.5.40")
+set(AKONADI_MIMELIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -92,13 +91,14 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.5.40")
-set(KPIM_MIME_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
+set(KPIM_MIME_VERSION "6.5.3")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
@@ -127,7 +127,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kmail-account-wizard (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:01 +0100

kmail-account-wizard (4:24.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Detect QML-dependencies automatically (Closes: #1111891).

 -- Patrick Franz <deltaone@debian.org>  Sun, 24 Aug 2025 22:32:14 +0200

=== debian/control ===
Source: kmail-account-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               kirigami-addons-dev,
               libakonadi-dev (>= 4:25.08.3~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kmail-account-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmail-account-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmail-account-wizard.git
Rules-Requires-Root: no

Package: accountwizard
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.

## kmail-account-wizard 25.08.3+p24.04+vunstable+git20251204.0305

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KF_MIN_VERSION "6.14.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -63,8 +63,8 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.3")
+set(KDEPIM_DEV_VERSION alpha)
+set(RELEASE_SERVICE_VERSION "26.03.40")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -72,13 +72,13 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(AKONADI_VERSION "6.5.3")
+set(AKONADI_MIMELIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -91,14 +91,13 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(KPIM_MIME_VERSION "6.5.3")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.6.40")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
@@ -127,7 +126,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kmail-account-wizard (4:25.08.3+p24.04+vunstable+git20251204.0305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:05:51 +0000

kmail-account-wizard (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:12 +1000

## kmail-account-wizard 25.08.3+p24.04+vunstable+git20251206.0952

=== debian/changelog ===
kmail-account-wizard (4:25.08.3+p24.04+vunstable+git20251206.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:52:00 +0000

## kmail-account-wizard 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.18.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -63,8 +64,8 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KDEPIM_DEV_VERSION beta)
+set(RELEASE_SERVICE_VERSION "25.11.80")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -72,13 +73,13 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.6.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
+set(AKONADI_MIMELIB_VERSION "6.5.80")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(
     Qt6
     ${QT_REQUIRED_VERSION}
@@ -91,9 +92,9 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(KPIM_MIME_VERSION "6.6.40")
-set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KPIM_MIME_VERSION "6.5.80")
+set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kmail-account-wizard (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:58:14 +0000

kmail-account-wizard (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:25:22 +0000

=== debian/control ===
Source: kmail-account-wizard
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.11.80~),
               libkmailtransport-dev (>= 25.11.80~),
               libkmime-dev (>= 25.11.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kmail-account-wizard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail-account-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmail-account-wizard
Rules-Requires-Root: no

Package: accountwizard
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.

## kmail-account-wizard 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
@@ -64,8 +64,8 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KDEPIM_DEV_VERSION rc)
+set(RELEASE_SERVICE_VERSION "25.11.90")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -73,10 +73,10 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
+set(AKONADI_MIMELIB_VERSION "6.5.90")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -92,8 +92,8 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(KPIM_MIME_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(KPIM_MIME_VERSION "6.5.90")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
kmail-account-wizard (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:08:20 +0000

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## kmail-account-wizard 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
@@ -64,8 +64,8 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(KDEPIM_DEV_VERSION)
+set(RELEASE_SERVICE_VERSION "25.12.0")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -73,10 +73,10 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.90")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
+set(AKONADI_MIMELIB_VERSION "6.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -92,8 +92,8 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(KPIM_MIME_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(KPIM_MIME_VERSION "6.6.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
kmail-account-wizard (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:24:57 +0000

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## kmail-account-wizard 25.12.0+p24.04+vstable+git20251221.0107

=== debian/changelog ===
kmail-account-wizard (4:25.12.0+p24.04+vstable+git20251221.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Dec 2025 01:07:18 +0000

kmail-account-wizard (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:09 +1000

## kmail-account-wizard 25.12.0+p24.04+vstable+git20260102.1238

=== debian/changelog ===
kmail-account-wizard (4:25.12.0+p24.04+vstable+git20260102.1238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:38:59 +0000

## kmail-account-wizard 25.12.0+p24.04+vstable+git20260105.1007

=== debian/changelog ===
kmail-account-wizard (4:25.12.0+p24.04+vstable+git20260105.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:07:56 +0000

## kmail-account-wizard 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kmail-account-wizard VERSION ${PIM_VERSION})
 set(KDEPIM_LIB_SOVERSION "6")
@@ -65,7 +65,7 @@
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.12.0")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
@@ -73,10 +73,10 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.6.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
-set(AKONADI_VERSION "6.6.0")
+set(AKONADI_MIMELIB_VERSION "6.6.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -92,8 +92,8 @@
         Quick
         QuickControls2
 )
-set(PIMCOMMON_LIB_VERSION "6.6.0")
-set(KPIM_MIME_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
+set(KPIM_MIME_VERSION "6.6.1")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== debian/changelog ===
kmail-account-wizard (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:32 +0100

kmail-account-wizard (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:34 +0100

=== debian/control ===
Source: kmail-account-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kirigami-addons-dev,
               libakonadi-dev (>= 4:25.12.1~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 25.12.1~),
               libkmailtransport-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kmail-account-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmail-account-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmail-account-wizard.git
Rules-Requires-Root: no

Package: accountwizard
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.

## kmail-account-wizard 25.12.1+p24.04+vstable+git20260128.0427

=== debian/changelog ===
kmail-account-wizard (4:25.12.1+p24.04+vstable+git20260128.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:27:18 +0000

kmail-account-wizard (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:31 +1000

## kmail-account-wizard 25.12.1+p24.04+vstable+git20260130.1237

=== debian/changelog ===
kmail-account-wizard (4:25.12.1+p24.04+vstable+git20260130.1237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:37:55 +0000
